Bug 140140 - Missing rpm dependencies gnome-python2-canvas
Summary: Missing rpm dependencies gnome-python2-canvas
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hwbrowser   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-20 02:02 UTC by Ralf Corsepius
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: RHBA-2005-101
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-10 09:14:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:101 normal SHIPPED_LIVE hwbrowser bug fix update 2005-06-09 04:00:00 UTC

Description Ralf Corsepius 2004-11-20 02:02:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
The hwbrower rpm lacks dependencies on one of more python packages it
depends on, especially

* gnome-python2-canvas
* pygtk2



Version-Release number of selected component (if applicable):
hwbrowser-0.18-2

How reproducible:
Always

Steps to Reproduce:
1. Install hwbrower
2. rpm -e gnome-python2-canvas
3. launch hwbrowser
4. rpm -e pygtk2
5. launch hwbrowser

Actual Results:
# hwbrowser
Traceback (most recent call last):
  File "/usr/share/hwbrowser/DeviceList.py", line 56, in ?
    import gtk.glade
ImportError: No module named glade

# rpm -e pygtk2
# hwbrowser
Traceback (most recent call last):
  File "/usr/share/hwbrowser/DeviceList.py", line 18, in ?
    import gobject
ImportError: No module named gobject



Expected Results:  Function

Comment 1 Ralf Corsepius 2004-11-20 02:14:44 UTC
A package dependency on pygtk2-libglade also is missing.

Comment 2 Nils Philippsen 2004-11-23 13:54:23 UTC
fixed in CVS

Comment 3 Nils Philippsen 2005-02-01 17:34:23 UTC
Should be fixed in hwbrowser-0.19-0.fc3.1.


Note You need to log in before you can comment on or make changes to this bug.